9

The version supplied is significantly out of date, to the point where I faced issues with specific codecs relying on a newer version. I would prefer an official build or repository.

10

Install from a Repository

You can install the latest supported version from the Official PPA. This has the added benefit of being an official build and distribution channel, maintained by VLC themselves.

sudo apt-add-repository ppa:videolan/stable-daily &&
sudo apt-get update &&
sudo apt-get install vlc
  • Am I the only one who using the above commands still receive version 2.2.7 Umbrella ? – Bo rislav Apr 2 '18 at 22:09
  • It appears that 2.2.2 is the latest version built by Videolan Stable Daily PPA for Xenial at this time. – Lewis Goddard Apr 4 '18 at 15:53
  • Yes, It looks like you are right.. But if I use in Ubuntu Xenial the gnome-software application, there is an option to download version 3.0.1 which is more stable and videos play and navigate much more smoothly than any 2.2.x version.. And I have decided that probably it is the new one stable, but.. looks like I am wrong. Thanks for the reply – Bo rislav Apr 4 '18 at 15:57
4
+100

The official PPA from Videolan does not contain all the libraries needed to run VLC like HEVC support. This PPA is specifically for users looking for media updates. Its contains the latest version of VLC and other popular video players.

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get dist-upgrade

sudo apt-get install vlc vlc-plugin-*

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.